<template>
  <v-container class="pa-0">
    <div class="text-center" v-if="loading">
      <v-progress-circular indeterminate color="primary">
      </v-progress-circular>
    </div>
    <v-container class="pa-0" v-else>
      <FlightsCaseSeatsLayout :flight="flight" :leg="leg" />
    </v-container>
  </v-container>
</template>

<script setup lang="ts">
import type { Flight } from "~/dto/flight.dto";
import type { Leg } from "~/dto/leg.dto";

const props = defineProps<{
  flight: Flight,
  leg: Leg,
}>();

const { $toast, $api } = useNuxtApp();

const loading = ref(true);

const loadData = async () => {
  loading.value = true;
  try {
    props.leg.seats = await $api.seat.get(props.leg.id);
  } catch (e) {
    $toast.error(`Erreur lors du chargement du plan cabine`);
  }
  loading.value = false;
}

onMounted(() => {
  loadData();
});

watch(() => props.leg, () => {
  loadData();
});

</script>
